Subject: Re: -mwindows copyright?
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 16 Jul 1999 17:51:53 -0400

On Fri, Jul 16, 1999 at 04:05:57PM -0400, [email-masked] wrote:
>  I'm using the -mno-cygwin and -mwindows options to compile my program.  I'm 
>also binding to several other windows libs such as -lwsock32.  I want to 
>distribute my programs--as well as source--entirely public domain.  The 
>copyright on all of the mingw libraries seems to be public domain, so I'm ok 
>there.  But looking at the windows libraries in the source, some of them have 
>copyrights such as winsup/sysdef/wsock32.def:
>--snip--
>;   Exports for WSOCK32 DLL
>;
>;   Copyright (C) 1996 Free Software Foundation, Inc.
>;
>;   Author:  Scott Christley <[email-masked]>
>;   Date: 1996
>;   
>;   This file is part of the Windows32 API Library.
>;
>;   This library is free software; you can redistribute it and/or
>;   modify it under the terms of the GNU Library General Public
>;   License as published by the Free Software Foundation; either
>;   version 2 of the License, or (at your option) any later version.
>--snip--
>Does this mean that if I use -mwindows/-lwsock32 I either have to distribute 
>my program under GNU, or write my own .def's for windows API? (which I 
>imagine would be a minor pain)

I am not a lawyer, but I'm fairly certain that the fact that the include
files and libraries provide interface information for an existing
interface means that you're ok.  I.e, you don't have to release your
program under the GPL because nothing that you're linking into it can
legally be caused to make it GPL.

When DJ returns from vacation he'll probably have a more definitive opinion.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]